#!/bin/sh
#
# $Id:
#

mkdir tmp/base/DEBIAN
chmod -R 755 tmp/base/usr
cp misc/version tmp/base/DEBIAN/
VERSION=`cat misc/version`
SIZEDU=`du -sk tmp/base | awk '{ print $1}'`
SIZEDIR=`find tmp/base -type d | wc | awk '{print $1}'`
SIZE=$[ $SIZEDU - $SIZEDIR ]

sed -e "s/__VERSION__/$VERSION/" \
    -e "s/__PACKAGE__/szn-squid/" \
    -e "s/__MAINTAINER__/$MAINTAINER/" \
    -e "s/__SIZE__/$SIZE/" \
    misc/control > tmp/base/DEBIAN/control

# Vytvori a prejmenuje balicek
dpkg --build tmp/base
dpkg-name -o tmp/base.deb
rm -r tmp/base
